// Copyright (c) 2003-2008 Synology Inc. All rights reserved.
#ifndef __SYNO_SATA_H_
#define __SYNO_SATA_H_

#define SYNO_SPINUP_DELAY_LABEL_JUMP(label)
#define SYNO_SPINUP_DELAY_LABEL(label)

/*
* We use g_internal_hd_num this variable pass from uboot for determine whether wake up in sequence.
* because if we need power in sequence at booting, 
* it's mean we also need wake up in sequence for power issue
*
* For old product, they don't passing g_internal_hd_num from u-boot, but in new kernel it had defined.
* so the default value is -1, it will still doing original job. So this define can compatible to old platform.
*/
#ifdef SYNO_INTERNAL_HD_NUM

#if defined(CONFIG_SYNO_MPC854X) || defined(CONFIG_SYNO_MV88F5x8x)

#undef SYNO_SPINUP_DELAY_LABEL_JUMP
#undef SYNO_SPINUP_DELAY_LABEL

extern long g_internal_hd_num;
#define SYNO_SPINUP_DELAY_LABEL_JUMP(label) if(g_internal_hd_num == 0) goto label;
#define SYNO_SPINUP_DELAY_LABEL(label) label:;

#endif /* CONFIG_SYNO_MPC854X CONFIG_SYNO_MV88F5x8x */


#endif /* SYNO_INTERNAL_HD_NUM */

#endif /* __SYNO_SATA_H_ */
